Skip to main content
Returns all wallets that hold or have held positions in a specific outcome token.

Request

GET /v3/markets/{token_id}/positions

Query parameters

ParameterTypeDefaultDescription
sortstringpnlSort by: pnl, amount, volume
limitinteger100Max 300
offsetinteger0Pagination offset

Example

curl https://api.polynode.dev/v3/markets/75783394880030392863380883800697645018418815910449662777195626260206142035810/positions?limit=1
{
  "data": [
    {
      "amount": "0",
      "avg_price": "490000",
      "realized_pnl": "9999999",
      "total_bought": "19607842",
      "user": "0xa435d9eb84bf50f5d72d88023a77e8c7fd1d572d"
    }
  ],
  "elapsed_ms": 204,
  "has_more": true,
  "limit": 1,
  "offset": 0,
  "rows_returned": 1
}

Response columns

ColumnTypeDescription
userstringWallet address
amountstringCurrent shares held (6-decimal)
avg_pricestringWeighted-average entry price (6-decimal)
realized_pnlstringRealized P&L (6-decimal USDC)
total_boughtstringTotal volume bought (6-decimal USDC)